# Dataset$table

### Dataset$<mark style="color:purple;">table</mark>(*table\_reference*) → [Table](/api/client-libraries/redivis-r/reference/table.md)

Create a reference to the table within a dataset.

### **Parameters:**

**`table_reference` :&#x20;*****str*** \
The name of the table, unique within the dataset. The name is case-insensitive, and can optionally be escaped following general [name escaping rules](/api/referencing-resources.md#escaping-names). E.g., `"Daily observations"` -> `"daily_observations"`. Can optionally include a colon followed by the [table reference id](/api/referencing-resources.md#reference-ids), which ensures the lookup will work even if the table gets renamed (e.g., `"daily_observations:6fff"`).&#x20;

### **Returns:**

[**Table**](/api/client-libraries/redivis-r/reference/table.md)

### Examples

```r
dataset <- redivis$organization("demo")$dataset("ghcn_daily_weather_data")

table <- dataset$table('daily_observations:6fff')
table$to_tibble(max_results=100)
# 	id	        date	            element    ...
# 0	CA0023026HN	2003-08-16	    ACMH       ...
# ...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdtable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
